"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.SortOrder = exports.onCommentsWidgetUpdated = exports.onCommentsWidgetDeleted = exports.onCommentsWidgetCreated = exports.queryCommentsWidget = exports.deleteCommentsWidget = exports.updateCommentsWidget = exports.getCommentsWidget = exports.createCommentsWidget = exports.queryCommentsWidgetResources = exports.registerCommentsWidget = exports.__metadata = void 0;
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const page_url_v2_1 = require("@wix/sdk-runtime/transformations/page-url-v2");
const timestamp_1 = require("@wix/sdk-runtime/transformations/timestamp");
const transform_paths_1 = require("@wix/sdk-runtime/transformations/transform-paths");
const sdk_types_1 = require("@wix/sdk-types");
const comments_categories_v1_comments_widget_widgets_universal_js_1 = require("./comments-categories-v1-comments-widget-widgets.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/comments' };
function registerCommentsWidget(httpClient) {
    return (categoryId, options) => (0, comments_categories_v1_comments_widget_widgets_universal_js_1.registerCommentsWidget)(categoryId, options, 
    // @ts-ignore
    { httpClient });
}
exports.registerCommentsWidget = registerCommentsWidget;
function queryCommentsWidgetResources(httpClient) {
    return (query) => (0, comments_categories_v1_comments_widget_widgets_universal_js_1.queryCommentsWidgetResources)(query, 
    // @ts-ignore
    { httpClient });
}
exports.queryCommentsWidgetResources = queryCommentsWidgetResources;
function createCommentsWidget(httpClient) {
    return (commentsWidget) => (0, comments_categories_v1_comments_widget_widgets_universal_js_1.createCommentsWidget)(commentsWidget, 
    // @ts-ignore
    { httpClient });
}
exports.createCommentsWidget = createCommentsWidget;
function getCommentsWidget(httpClient) {
    return (commentsWidgetId) => (0, comments_categories_v1_comments_widget_widgets_universal_js_1.getCommentsWidget)(commentsWidgetId, 
    // @ts-ignore
    { httpClient });
}
exports.getCommentsWidget = getCommentsWidget;
function updateCommentsWidget(httpClient) {
    return (_id, commentsWidget) => (0, comments_categories_v1_comments_widget_widgets_universal_js_1.updateCommentsWidget)(_id, commentsWidget, 
    // @ts-ignore
    { httpClient });
}
exports.updateCommentsWidget = updateCommentsWidget;
function deleteCommentsWidget(httpClient) {
    return (commentsWidgetId, options) => (0, comments_categories_v1_comments_widget_widgets_universal_js_1.deleteCommentsWidget)(commentsWidgetId, options, 
    // @ts-ignore
    { httpClient });
}
exports.deleteCommentsWidget = deleteCommentsWidget;
function queryCommentsWidget(httpClient) {
    return () => (0, comments_categories_v1_comments_widget_widgets_universal_js_1.queryCommentsWidget)(
    // @ts-ignore
    { httpClient });
}
exports.queryCommentsWidget = queryCommentsWidget;
exports.onCommentsWidgetCreated = (0, sdk_types_1.EventDefinition)('wix.comments.categories.v1.comments_widget_created', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: page_url_v2_1.transformRESTPageURLV2ToSDKPageURLV2,
        paths: [{ path: 'entity.urlPath' }],
    },
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'entity.createdDate' },
            { path: 'entity.updatedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
])))();
exports.onCommentsWidgetDeleted = (0, sdk_types_1.EventDefinition)('wix.comments.categories.v1.comments_widget_deleted', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: page_url_v2_1.transformRESTPageURLV2ToSDKPageURLV2,
        paths: [{ path: 'undefined.urlPath' }],
    },
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'undefined.createdDate' },
            { path: 'undefined.updatedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
])))();
exports.onCommentsWidgetUpdated = (0, sdk_types_1.EventDefinition)('wix.comments.categories.v1.comments_widget_updated', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: page_url_v2_1.transformRESTPageURLV2ToSDKPageURLV2,
        paths: [{ path: 'entity.urlPath' }],
    },
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [
            { path: 'entity.createdDate' },
            { path: 'entity.updatedDate' },
            { path: 'metadata.eventTime' },
        ],
    },
])))();
var comments_categories_v1_comments_widget_widgets_universal_js_2 = require("./comments-categories-v1-comments-widget-widgets.universal.js");
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return comments_categories_v1_comments_widget_widgets_universal_js_2.SortOrder; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return comments_categories_v1_comments_widget_widgets_universal_js_2.WebhookIdentityType; } });
//# sourceMappingURL=comments-categories-v1-comments-widget-widgets.public.js.map