import { RequestOptionsFactory } from '@wix/sdk-types';
/** Registers CommentsWidget. Whenever a widget is loaded for the first time or its resourceId changes, it saves the new resource information about the widget */
export declare function registerCommentsWidget(payload: object): RequestOptionsFactory<any>;
/** Returns all registered widget resource ids contained in metaSite */
export declare function queryCommentsWidgetResources(payload: object): RequestOptionsFactory<any>;
/** Creates a new CommentsWidget */
export declare function createCommentsWidget(payload: object): RequestOptionsFactory<any>;
/** Get a CommentsWidget by id */
export declare function getCommentsWidget(payload: object): RequestOptionsFactory<any>;
/**
 * Update CommentsWidget, supports partial update
 * Pass the latest `revision` for a successful update
 */
export declare function updateCommentsWidget(payload: object): RequestOptionsFactory<any>;
/** Delete a CommentsWidget */
export declare function deleteCommentsWidget(payload: object): RequestOptionsFactory<any>;
/** Query CommentsWidgets using [WQL - Wix Query Language](https://dev.wix.com/api/rest/getting-started/api-query-language) */
export declare function queryCommentsWidget(payload: object): RequestOptionsFactory<any>;
